Subject: [Fot] Follow up on my rear shocks

From: Dave Connitt via Fot <[email-masked]>
Date: Thu, 20 May 2021 13:26:41 -0400

I wanted to say thanks to whoever recommended I use World Wide Auto Parts of Madison to rebuild the rear shocks in my TR4A-IRS. I just installed them yesterday and Wow, what a difference. I guess They were bad before I knew they were bad from the difference in the ride. Back when I was restoring the car, they seemed OK so I just cleaned them up installed them. But that was about 10 years ago and I didn’t know about World Wide Parts. It handles way better!
Dave Connitt 

Sent from my iPhone
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]